VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "RectState"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa RectState
Implements State
Private med As Mediator

Public Sub init(md As Mediator)
  Set med = md
End Sub
'-----
Private Sub State_mouseDown(x As Integer, y As Integer)
  Dim vr As New VisRectangle
  vr.init x, y
  med.addDrawing vr
End Sub
'-----
Private Sub State_mouseDrag(x As Integer, y As Integer)
End Sub
'-----
Private Sub State_mouseUp(x As Integer, y As Integer)
End Sub
'-----
Private Sub State_selectOne(d As Drawing)
End Sub
